### GET /v3/merchants/{mId}/tip_suggestions Source: https://dash.readme.com/api/v1/api-registry/1836s2z4smohp2458 Retrieves all tip suggestions for a merchant, for example: flat tip or percentage. ```markdown ### Parameters - **User-Agent** (string, header, required): Identifies the application, operating system, vendor, and/or version of the requesting user agent. Format: ` / ` - **mId** (string, path, required): Merchant identifier. - **filter** (string, query, optional): Filter fields to display search results: [flatTip, percentage, name, id, enabled] - **offset** (integer, query, optional): Position of the first line item returned in the search results. Indicates the number of line items that are excluded from the search results. - **limit** (integer, query, optional): Maximum number of line items returned in the search result. Default: 100 Maximum limit: 1000 ### Responses #### 200 - Successful response. Displays tip suggestions for the merchant. - **id** (string): Unique identifier of the tip. - **name** (string): Name of the tip. - **percentage** (integer (int64)): Suggested tip percentage. - **amount** (integer (int64)): Suggested tip amount. - **isEnabled** (boolean): Indicates whether tipping is enabled. - **flatTip** (integer (int64)): Suggested flat tip amount. ### Example Usage ```bash curl -X GET "https://apisandbox.dev.clover.com/v3/merchants/{mId}/tip_suggestions?filter=string&offset=0&limit=0" ``` ``` -------------------------------- ### GET /v3/merchants/{mId}/devices Source: https://dash.readme.com/api/v1/api-registry/1836s2z4smohp2458 Returns a list of all devices that are provisioned to the a merchant. This list can be viewed from the Setup App on the merchant's device or web dashboard (https://www.clover.com/setupapp/m/{mId}/devices). ```markdown ### Parameters - **User-Agent** (string, header, required): Identifies the application, operating system, vendor, and/or version of the requesting user agent. Format: ` / ` - **mId** (string, path, required): Merchant Id - **filter** (string, query, optional): Filter fields: [serial, name, merchant.id, merchant.name, deviceTypeName, model, id, deleted_time, orderPrefix] ### Responses #### 200 - response - **id** (string): Unique identifier - **name** (string): Name of the device (if entered) - **model** (string) - **merchant** (object) - **id** (string): Unique identifier. - **orderPrefix** (string): A prefix that will be applied to order numbers. This is useful if the merchant and/or customer needs to track which device an order came from. - **terminalId** (string): The merchant device's terminal Id. FD-IPG sets the merchant_device terminal Id for LATAM devices - **terminalPrefix** (integer) - **serial** (string): The device's serial number. - **buildNumber** (integer (int64)) - **secureId** (string) - **buildType** (string (ENG|USER|USERDEBUG)) ("ENG"|"USER"|"USERDEBUG") - **cpuId** (string) - **imei** (string): The IMEI of the device - **imsi** (string): The IMSI of the SIM in the device (if present) - **simIccid** (string): The ICCID of the SIM in the device (if present) - **deviceCertificate** (string) - **pedCertificate** (string) - **deviceTypeName** (string) - **productName** (string) - **pinDisabled** (boolean): Whether this device has PIN prompt disabled. - **offlinePayments** (boolean) - **offlinePaymentsAll** (boolean) - **offlinePaymentsLimit** (integer (int64)) - **offlinePaymentsPromptThreshold** (integer (int64)) - **offlinePaymentsTotalPaymentsLimit** (integer (int64)) - **offlinePaymentsLimitDefault** (integer (int64)) - **offlinePaymentsPromptThresholdDefault** (integer (int64)) - **offlinePaymentsTotalPaymentsLimitDefault** (integer (int64)) - **offlinePaymentsMaxLimit** (integer (int64)) - **offlinePaymentsMaxTotalPaymentsLimit** (integer (int64)) - **showOfflinePayments** (boolean) - **maxOfflineDays** (integer (int64)) - **allowStoreAndForward** (boolean) - **secureReports** (array (object)) Array items: - **bundleIndicator** (string) - **deviceType** (object) ### Example Usage ```bash curl -X GET "https://apisandbox.dev.clover.com/v3/merchants/{mId}/devices?filter=string" ``` ``` -------------------------------- ### GET /v3/merchants/{mId}/attributes Source: https://dash.readme.com/api/v1/api-registry/1836s2z4smohp2458 Retrieves item attributes, for example: size and color of a t-shirt. ```markdown ### Parameters - **User-Agent** (string, header, required): Identifies the application, operating system, vendor, and/or version of the requesting user agent. Format: ` / ` - **mId** (string, path, required): Merchant identifier. - **filter** (string, query, optional): Filter fields to display search results: [modifiedTime, name, id, deletedTime, itemGroup.id] - **offset** (integer, query, optional): Position of the first line item returned in the search results. Indicates the number of line items that are excluded from the search results. - **limit** (integer, query, optional): Maximum number of line items returned in the search result. Default: 100 Maximum limit: 1000 ### Responses #### 200 - Successful response. Displays all attributes for an item. - **id** (string): Unique identifier of the attribute. - **name** (string) (required): Attribute name. - **itemGroup** (object) (required): Reference to an item group. - **id** (string): Unique identifier of the item group. - **options** (array (object)): List of variants (options) available within an attribute. For example, an attribute of size can have small, medium, and large options. Array items: - **id** (string): Unique identifier of the variant option. - **name** (string) (required): Variant option name. - **attribute** (object) - **items** (array (object)): List of items associated with the attribute. Array items: ### Example Usage ```bash curl -X GET "https://apisandbox.dev.clover.com/v3/merchants/{mId}/attributes?filter=string&offset=0&limit=0" ``` ```